var serverurl = "https://api.qingtingyouxuan.com";
var machineurl = "http://image.qingtingyouxuan.com/";
var token = 'ba918f245138f5686c6f0beb11354b43';

function htmldecode(str) {
	str = str.replace(/&amp;/g, '&');
	str = str.replace(/&nbsp;/g, ' ');
	str = str.replace(/&quot;/g, '"');
	str = str.replace(/&#39;/g, "'");
	str = str.replace(/&lt;/gi, '<');
	str = str.replace(/&gt;/gi, '>');
	//	str = str.replace(/<p>/g, '');
	//	str = str.replace(/<\/p>/g, '');
	//	str = str.replace(/<img/g, '<img style="width:100%;"');
	return str;
}
//判断销售数量
function setVolume(num){
	if(num >=10000){
		var new_num = num / 10000;
		return new_num.toFixed(1)+'万';
	}
	else{
		return num;
	}
}
/**
 *加密签名 
 */
function getSign(){
	//引入加密模块
	var signature = api.require('signature');
    var sign = signature.md5Sync({
    	data: 'qingting_'+token+'_youxuan',
	    uppercase: false
	});
    return sign;
}
/**
 *将时间戳转为时间 
 */
function formatDate(timestamp) {
	 var date = new Date(timestamp * 1000);//时间戳为10位需*1000，时间戳为13位的话不需乘1000
     Y = date.getFullYear() + '-';
     M = (date.getMonth()+1 < 10 ? '0'+(date.getMonth()+1) : date.getMonth()+1) + '-';
     D = date.getDate() + ' ';
        return Y+M+D;
} 
/**
 *解析Base64 
 */
function baseToJson(str){
	var signature = api.require('signature');
	var value = signature.base64DecodeSync({
    	data: str
	});
    return JSON.parse(value);
}
	/**
 	 *滑动特效 
 	 */
 	function indexSlides(){
        var win=$(window); //得到窗口对象
		var sc=$(document);//得到document文档对象。
		win.scroll(function(){
			if(sc.scrollTop()>=450){
				$('.go-top').show();
			}else{
				$('.go-top').hide();
			}
		});
 	}
/**
 *根据类型判断是哪个平台 
 */
function isType(type){
	var typeName = '';
	switch(type){
		case 0:
			typeName = '淘宝';break;
		case 1:
			typeName = '天猫';break;
		case 2:
			typeName = '京东';break;
		case 3:
			typeName = '苏宁';break;
		case 4:
			typeName = '唯品会';break;
		case 5:
			typeName = '聚美';break;
		case 6:
			typeName = '拼多多';break;
		default:
			typeName = '淘宝';break;
	}
	return typeName;
}
/**
 *带自动消失的提示框 
 */
function show_toast(msg){
	api.toast({
	    msg:''+msg,
	    location: 'middle'
    });
}
/**
 *进度提示框 
 */
function show_progress(title,msg){
	api.showProgress({
		text: msg
    });
}
/**
 * 打开商品详情
 */
function click_info(Id){
 		api.openWin({
	         name: 'info',
	         url: 'info.html',
	         progress:{
	         	type:'page',
	         	color:'#ff7cab'
	         },
	         pageParam:{
	         	code:Id
	         }
         });
 	}
 	/**
 	 *打开分类 
 	 */
 	function click_type(Id,title){
 		api.openWin({
	         name: 'type',
	         url: 'type.html',
	         progress:{
	         	type:'page',
	         	color:'#ff7cab'
	         },
	         pageParam:{
	         	code:Id,
	         	title:title
	         }
         });
 	}
/**
 *获取当前时间戳 
 */
function getTimeStamp(){
	var timestamp = new Date().getTime();
	return timestamp;
}
/**
 *关闭窗口 
 */
function closeWindow(){
	api.closeWin();
}
//阿里百川模块初始化
function initBaichuan(){
		aliTradePlus.initSDK({
		   isVVersion: '',
		   isVCode: ''
		},function(ret, err){
		    if(ret.status){
		        
		    } else {
		        //show_progress('','阿里百川初始化失败!错误码:'+err.code+',错误信息：'+err.msg);
		    }
		});
}
/**
 *初始化美洽客服 
 */
function initMeiQia(){
		//配置初始化美洽需要的appkey
		var param = {
		    appkey: "cec27383b3e517eab2f1d4542e8224c1"
		};
		//初始化美洽
		mq.initMeiQia(param, function(ret, err) {
		    if (ret) {
		        
		    } else {
		        api.toast({
	                msg:'初始化客服失败'
                });
		    }
		})
}
/**
 *打开分享模块 
 */
function openShare(title,text,description,contentUrl){
	var MNActionButton = api.require('MNActionButton');
	MNActionButton.open({
	    layout: {
	        row: 2,
	        col: 4,
	        rowSpacing: 5,
	        colSpacing: 10,
	        offset: 0
	    },
	    animation: true,
	    autoHide: true,
	    styles: {
	        maskBg: 'rgba(0,0,0,0.2)',
	        bg: '#fff',
	        cancelButton: {
	            size: 44,
	            bg: '#fff',
	            icon: 'widget://res/action-button-cancel.png'
	        },
	        item: {
	            titleColor: '#888',
	            titleHighlight: 'dd2727',
	            titleSize: 12
	        },
	        indicator: {
	            color: '#c4c4c4',
	            highlight: '#9e9e9e'
	        }
	    },
	    items: [{
	        icon: 'widget://image/MNActionButton/weixin.png',
	        highlight: 'widget://image/MNActionButton/weixin.png',
	        title: '微信好友'
	    }, {
	        icon: 'widget://image/MNActionButton/pengyouquan.png',
	        highlight: 'widget://image/MNActionButton/pengyouquan.png',
	        title: '微信朋友圈'
	    }, {
	        icon: 'widget://image/MNActionButton/qq.png',
	        highlight: 'widget://image/MNActionButton/qq.png',
	        title: 'QQ好友'
	    }, {
	        icon: 'widget://image/MNActionButton/qqpyq.png',
	        highlight: 'widget://image/MNActionButton/qqpyq.png',
	        title: 'QQ空间'
	    }, {
	        icon: 'widget://image/MNActionButton/weibo.png',
	        highlight: 'widget://image/MNActionButton/weibo.png',
	        title: '微博'
	    }]
	}, function(ret) {
	    if (ret) {
	        if(ret.eventType == 'click'){
	        	var index = ret.index;
	        	switch(index){
	        		case 0:
	        			//点击分享微信好友
	        			shareWeixin('session',title,description,contentUrl);break;
	        		case 1:
	        			//点击了分享微信朋友圈
	        			shareWeixin('timeline',title,description,contentUrl);break;
	        		case 2:
	        			//点击了分享到QQ好友
	        			shareQQ('QFriend',title,description,contentUrl);break;
	        		case 3:
	        			//点击了分享到QQ空间
	        			shareQQ('QZone',title,description,contentUrl);break;
	        		case 4:
	        			//点击了分享到微博
	        			shareWeibo(title,text,description,contentUrl);break;
	        	}
	        }
	    }
	});
}
//分享到微信
function shareWeixin(scene,title,description,contentUrl){
	var wx = api.require('wx');
	wx.isInstalled(function(ret, err) {
	    if (ret.installed) {
	        //已安装微信
	        wx.shareWebpage({
	        	apiKey: 'wx8d07edf0fafa305c',
	        	scene:''+scene,
	            title: ''+title,
	            description: ''+description,
	            thumb: 'widget://image/200.png',
	            contentUrl: ''+contentUrl
            },function(ret,err){
            	if(ret.status){
            		api.toast({
	                    msg:'分享成功'
                    });
            	}
            	else{
            		if(err.code == 2){
            			show_toast('取消了微信分享');
            		}
            		else{
            			show_toast('分享失败,错误码：'+err.code);
            		}
            	}
            });
	    } else {
	        show_toast('当前设备未安装微信客户端');
	    }
	});
}
//分享QQ
function shareQQ(type,title,description,contentUrl){
	var qq = api.require('QQPlus');
	qq.installed(function(ret, err) {
	    if (ret.status) {
	        //已安装QQ客户端
	        qq.shareNews({
			    url: ''+contentUrl,
			    title: ''+title,
			    description: ''+description,
			    imgUrl: 'http://image.qingtingyouxuan.com/200.png',
			    type:type
			},function(ret,err){
			  if (ret.status){
			    api.toast({
	                msg:'分享成功'
                });
			  } else {
			    if(err.code == -4){
			    	show_toast('取消了QQ分享');
			    }
			    else{
			    	show_toast('分享失败,错误码：'+err.code);
			    }
			  }
			});
	    } else {
	        show_toast('当前设备未安装QQ客户端');
	    }
	});
}
//分享到新浪微博
function shareWeibo(title,text,description,contentUrl){
	var weibo = api.require('weibo');
	weibo.isInstalled(
	    function(ret) {
	        if (ret.status) {
	            //已安装客户端
	            weibo.shareWebPage({
				    text: ''+text,
				    title: ''+title,
				    description: ''+description,
				    thumb: 'widget://image/200.png',
				    contentUrl: ''+contentUrl
				}, function(ret, err) {
				    if (ret.status) {
				        api.toast({
	                        msg:'分享成功'
                        });
				    }
				    else{
				    	if(err.code == 1){
				    		show_toast('取消了新浪微博分享');
				    	}
				    	else{
				    		show_toast('分享失败,错误码：'+err.code);
				    	}
				    }
				});
	        } else {
	            show_toast('当前设备未安装微博客户端');
	        }
	    }
	);
}
$(".go-top").click(function(){   
    if ($('html').scrollTop()) {  
            $('html').animate({ scrollTop: 0 }, 1000);  
            return false;  
    }  
    $('body').animate({ scrollTop: 0 }, 1000);  
    return false;              
});